Fix incorrect path in scripts and CMakeLists, in order to build tensile_client 
===================================================================
Index: Tensile-rocm-5.4.2/Tensile/Source/lib/CMakeLists.txt
===================================================================
--- Tensile-rocm-5.4.2.orig/Tensile/Source/lib/CMakeLists.txt
+++ Tensile-rocm-5.4.2/Tensile/Source/lib/CMakeLists.txt
@@ -51,7 +51,7 @@ set(tensile_sources  ${tensile_sources}
     )
 
 if(TENSILE_USE_LLVM)
-    find_package(LLVM 13.0 QUIET CONFIG)
+    find_package(LLVM PATHS @LLVM_PATH@ QUIET CONFIG)
     if(NOT LLVM_FOUND)
         find_package(LLVM 12.0 QUIET CONFIG)
         if(NOT LLVM_FOUND)
Index: Tensile-rocm-5.4.2/Tensile/Common.py
===================================================================
--- Tensile-rocm-5.4.2.orig/Tensile/Common.py
+++ Tensile-rocm-5.4.2/Tensile/Common.py
@@ -1950,7 +1950,7 @@ def assignGlobalParameters( config ):
     else:
       print2(" %24s: %8s (unspecified)" % (key, defaultValue))
 
-  globalParameters["ROCmPath"] = "/opt/rocm"
+  globalParameters["ROCmPath"] = "@GENTOO_PORTAGE_EPREFIX@/usr"
   if "ROCM_PATH" in os.environ:
     globalParameters["ROCmPath"] = os.environ.get("ROCM_PATH")
   if "TENSILE_ROCM_PATH" in os.environ:
Index: Tensile-rocm-5.4.2/Tensile/ClientWriter.py
===================================================================
--- Tensile-rocm-5.4.2.orig/Tensile/ClientWriter.py
+++ Tensile-rocm-5.4.2/Tensile/ClientWriter.py
@@ -180,7 +180,7 @@ def runClient(libraryLogicPath, forBench
 def getBuildClientLibraryScript(buildPath, libraryLogicPath):
   callCreateLibraryCmd = ["python"] if os.name == "nt" else []
 
-  callCreateLibraryCmd += [os.path.join(globalParameters["ScriptPath"] , "bin", "TensileCreateLibrary")]
+  callCreateLibraryCmd += "TensileCreateLibrary"
 
   if globalParameters["MergeFiles"]:
     callCreateLibraryCmd += ["--merge-files"]
Index: Tensile-rocm-5.4.2/Tensile/GenerateSummations.py
===================================================================
--- Tensile-rocm-5.4.2.orig/Tensile/GenerateSummations.py
+++ Tensile-rocm-5.4.2/Tensile/GenerateSummations.py
@@ -59,7 +59,7 @@ def createLibraryForBenchmark(logicPath,
     Selection.
     """
 
-    pythonExePath = os.path.join(os.path.dirname(os.path.realpath(__file__)), "bin", "TensileCreateLibrary")
+    pythonExePath = "TensileCreateLibrary"
     args = [pythonExePath, \
         "--merge-files", "--new-client-only", "--no-short-file-names", "--no-library-print-debug", \
         "--architecture=all", "--code-object-version=V3", "--cxx-compiler=hipcc", "--library-format=yaml", \
Index: Tensile-rocm-5.4.2/HostLibraryTests/CMakeLists.txt
===================================================================
--- Tensile-rocm-5.4.2.orig/HostLibraryTests/CMakeLists.txt
+++ Tensile-rocm-5.4.2/HostLibraryTests/CMakeLists.txt
@@ -139,7 +139,7 @@ set(test_sources ${test_sources}
 )
 
 if(TENSILE_USE_LLVM)
-    find_package(LLVM 13.0 QUIET CONFIG)
+    find_package(LLVM PATHS @LLVM_PATH@ QUIET CONFIG)
     if(NOT LLVM_FOUND)
         find_package(LLVM 12.0 QUIET CONFIG)
         if(NOT LLVM_FOUND)
